# Class Push`Internal`

Initializes the Push.

#### Param: channel

The Channel

#### Param: event

The event, for example `"phx_join"`

#### Param: payload

The payload, for example `{user_id: 123}`

#### Param: timeout

The push timeout in milliseconds

- Defined in push.ts:22

##### Index

### Constructors

constructor

### Methods

receive
resend
send

## Constructors

### constructor

- new Push(channel: Channel, event: string, payload: any, timeout: number): Push
  `Internal`

  #### Parameters

  - channel: Channel
  - event: string
  - payload: any
  - timeout: number

  #### Returns Push

  - Defined in push.ts:61

## Methods

### receive

- receive(status: string, callback: (response: any) => void): Push

  Register a callback for a specific response status

  #### Parameters

  - status: string
  - callback: (response: any) => void

  #### Returns Push

  - Defined in push.ts:108

### resend

- resend(timeout: number): void

  Resend the push with a new timeout

  #### Parameters

  - timeout: number

  #### Returns void

  - Defined in push.ts:82

### send

- send(): void

  Send the push

  #### Returns void

  - Defined in push.ts:91